# QSyntaxHighlighter Class Reference

### [com.trolltech.qt.gui package]

Inherits QObject.

### Constructor

- void QSyntaxHighlighter(QObject parent)
- void QSyntaxHighlighter(QTextDocument parent)
- void QSyntaxHighlighter(QTextEdit parent)

### Constructor Properties

- prototype: The QSyntaxHighlighter prototype object

### Prototype Object Properties

The QSyntaxHighlighter prototype object inherits properties from the QObject prototype object and also has the following properties.

- QTextDocument document()
- void setDocument(QTextDocument doc)

### Instance Properties

QSyntaxHighlighter objects have no special properties beyond those inherited from the QSyntaxHighlighter prototype object.